Bug 1291201 - Failed to run vm with numa pinning on host with one numa node under strict mode
Failed to run vm with numa pinning on host with one numa node under strict mode
Status: NEW
Product: ovirt-engine
Classification: oVirt
Component: Backend.Core (Show other bugs)
3.6.1.3
All Linux
medium Severity medium (vote)
: ovirt-4.3.0
: ---
Assigned To: bugs@ovirt.org
meital avital
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-14 04:39 EST by Artyom
Modified: 2017-09-28 04:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dfediuck: ovirt‑4.3?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)
engine log (141.65 KB, text/plain)
2015-12-14 04:39 EST, Artyom
no flags Details

  None (edit)
Description Artyom 2015-12-14 04:39:50 EST
Created attachment 1105535 [details]
engine log

Description of problem:
Failed to run vm with numa pinning on host with one numa node under strict mode

Version-Release number of selected component (if applicable):
rhevm-3.6.1.3-0.1.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. Create vm(1024GB, 1 cpu) and pin it to host with one numa node
2. Create one numa node on vm and pin it to host numa node
3. Start vm

Actual results:
Vm failed to start
Error while executing action: 

test_numa:
Cannot run VM. There is no host that satisfies current scheduling constraints. See below for details:
The host cyan-vdsg.qa.lab.tlv.redhat.com did not satisfy internal filter Memory because cannot accommodate memory of VM's pinned virtual NUMA nodes within host's physical NUMA nodes..

Expected results:
vm succeed to run

Additional info:
vm numa nodes via REST
<vm_numa_nodes>
 <vm_numa_node href="/ovirt-engine/api/vms/c7ecd2dc-dbd3-4419-956f-1249651c0f2b/numanodes/4a86ac4f-e08b-494c-9c23-78f5ff9e102b" id="4a86ac4f-e08b-494c-9c23-78f5ff9e102b">
<index>0</index>
<memory>1024</memory>
<cpu>
<cores>
<core index="0" />
</cores>
</cpu>
<vm href="/ovirt-engine/api/vms/c7ecd2dc-dbd3-4419-956f-1249651c0f2b" id="c7ecd2dc-dbd3-4419-956f-1249651c0f2b" />
<numa_node_pins>
<numa_node_pin pinned="true" index="0">
<host_numa_node id="417cdefb-8c47-4838-87f3-dd0498fdf6c7" />
</numa_node_pin>
</numa_node_pins>
 </vm_numa_node>
</vm_numa_nodes>

numa from host:
# numactl -H
available: 1 nodes (0)
node 0 cpus: 0 1
node 0 size: 4094 MB
node 0 free: 3287 MB
node distances:
node   0 
  0:  10
Comment 1 Roman Mohr 2016-01-07 05:18:51 EST
I am pretty sure I ran into that problem also with more than one numa node. Will check it again.

From the UI perspective the problem will be fixed with https://bugzilla.redhat.com/show_bug.cgi?id=1289967 but the canDoAction should prevent the pinning too when there is only one host.
Comment 3 Doron Fediuck 2017-01-09 07:40:08 EST
Please add a can-do-action check for no NUMA / single node.

Note You need to log in before you can comment on or make changes to this bug.